﻿Type=StaticCode
Version=3
@EndOfDesignText@
'Code module
'Subs in this code module will be accessible from all modules.
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Dim NumberOfColumns = 1, NumberOfRows As Int
	Dim StringUtils1 As StringUtils
End Sub

Sub LoadTableFromCSV(Dir As String,Filename As String,HeadersExist As Boolean)
	'ClearAll	'Clears the previous table and loads the CSV file to the table
	Dim List1 As List
	Dim h() As String
	If HeadersExist Then
		' Reads the csv file 
		Dim headers As List
		List1 = StringUtils1.LoadCSV2(Dir, Filename, ",", headers)
		' Sets the header names of the columns 
		Dim h(headers.Size) As String
		For i = 0 To headers.Size - 1
			h(i) = headers.Get(i)
		Next
	Else
		' Reads the csv file 
		List1 = StringUtils1.LoadCSV(Dir, Filename, ",")
		' Sets default header names
		Dim firstRow() As String
		firstRow = List1.Get(0)
		Dim h(firstRow.Length) As String
		For i = 0 To firstRow.Length - 1
			h(i) = "Col" & (i + 1)
		Next
	End If
	NumberOfColumns = h.Length	' Gets the number of columns
	'SetHeader(h)		' Sets the headers
	
	NumberOfRows = 0
	For i = 0 To List1.Size - 1
		' Fills the table
		Dim row() As String
		row = List1.Get(i)
		'AddRow(row)
	Next
End Sub

Sub SaveTableToCSV(Dir As String, Filename As String)
	'Saves the current table into a csv file
	Dim headers(NumberOfColumns) As String
	For i = 0 To headers.Length - 1
		Dim l As Label
		'l = pnlHeader.GetView(i)
		headers(i) = l.Text
	Next
	Dim list1 As List
	list1.Initialize
	For i = 0 To NumberOfRows - 1
		Dim row(NumberOfColumns) As String
		For c = 0 To NumberOfColumns - 1
			'row(c) = GetCell(i, c)
		Next
		list1.Add(row)
	Next
	StringUtils1.SaveCSV2(Dir, Filename, ",", list1, headers)
End Sub